cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/csat/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channels": [],
"askAfter": [],
"idleMinutes": 720,
"emailDelayMinutes": 5040,
"question": "<string>",
"followUpPrompt": "<string>",
"exclude": {
"minMessages": 50,
"resurveyDays": 182
}
}
'import requests
url = "https://app-api.aide.app/v1/csat/settings"
payload = {
"channels": [],
"askAfter": [],
"idleMinutes": 720,
"emailDelayMinutes": 5040,
"question": "<string>",
"followUpPrompt": "<string>",
"exclude": {
"minMessages": 50,
"resurveyDays": 182
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channels: [],
askAfter: [],
idleMinutes: 720,
emailDelayMinutes: 5040,
question: '<string>',
followUpPrompt: '<string>',
exclude: {minMessages: 50, resurveyDays: 182}
})
};
fetch('https://app-api.aide.app/v1/csat/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/csat/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'channels' => [
],
'askAfter' => [
],
'idleMinutes' => 720,
'emailDelayMinutes' => 5040,
'question' => '<string>',
'followUpPrompt' => '<string>',
'exclude' => [
'minMessages' => 50,
'resurveyDays' => 182
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/csat/settings"
payload := strings.NewReader("{\n \"channels\": [],\n \"askAfter\": [],\n \"idleMinutes\": 720,\n \"emailDelayMinutes\": 5040,\n \"question\": \"<string>\",\n \"followUpPrompt\": \"<string>\",\n \"exclude\": {\n \"minMessages\": 50,\n \"resurveyDays\": 182\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/csat/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"channels\": [],\n \"askAfter\": [],\n \"idleMinutes\": 720,\n \"emailDelayMinutes\": 5040,\n \"question\": \"<string>\",\n \"followUpPrompt\": \"<string>\",\n \"exclude\": {\n \"minMessages\": 50,\n \"resurveyDays\": 182\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/csat/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"channels\": [],\n \"askAfter\": [],\n \"idleMinutes\": 720,\n \"emailDelayMinutes\": 5040,\n \"question\": \"<string>\",\n \"followUpPrompt\": \"<string>\",\n \"exclude\": {\n \"minMessages\": 50,\n \"resurveyDays\": 182\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "csat_settings",
"scale": "faces_5",
"channels": [
"chat"
],
"exclude": {
"spam": true,
"minMessages": 123,
"resurveyDays": 123
},
"question": "<string>",
"askAfter": [
"closed"
],
"idleMinutes": 123,
"emailDelayMinutes": 123,
"followUpPrompt": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}HelpdeskSetting
Patch v1csatsettings
PATCH
/
v1
/
csat
/
settings
cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/csat/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channels": [],
"askAfter": [],
"idleMinutes": 720,
"emailDelayMinutes": 5040,
"question": "<string>",
"followUpPrompt": "<string>",
"exclude": {
"minMessages": 50,
"resurveyDays": 182
}
}
'import requests
url = "https://app-api.aide.app/v1/csat/settings"
payload = {
"channels": [],
"askAfter": [],
"idleMinutes": 720,
"emailDelayMinutes": 5040,
"question": "<string>",
"followUpPrompt": "<string>",
"exclude": {
"minMessages": 50,
"resurveyDays": 182
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channels: [],
askAfter: [],
idleMinutes: 720,
emailDelayMinutes: 5040,
question: '<string>',
followUpPrompt: '<string>',
exclude: {minMessages: 50, resurveyDays: 182}
})
};
fetch('https://app-api.aide.app/v1/csat/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/csat/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'channels' => [
],
'askAfter' => [
],
'idleMinutes' => 720,
'emailDelayMinutes' => 5040,
'question' => '<string>',
'followUpPrompt' => '<string>',
'exclude' => [
'minMessages' => 50,
'resurveyDays' => 182
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/csat/settings"
payload := strings.NewReader("{\n \"channels\": [],\n \"askAfter\": [],\n \"idleMinutes\": 720,\n \"emailDelayMinutes\": 5040,\n \"question\": \"<string>\",\n \"followUpPrompt\": \"<string>\",\n \"exclude\": {\n \"minMessages\": 50,\n \"resurveyDays\": 182\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/csat/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"channels\": [],\n \"askAfter\": [],\n \"idleMinutes\": 720,\n \"emailDelayMinutes\": 5040,\n \"question\": \"<string>\",\n \"followUpPrompt\": \"<string>\",\n \"exclude\": {\n \"minMessages\": 50,\n \"resurveyDays\": 182\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/csat/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"channels\": [],\n \"askAfter\": [],\n \"idleMinutes\": 720,\n \"emailDelayMinutes\": 5040,\n \"question\": \"<string>\",\n \"followUpPrompt\": \"<string>\",\n \"exclude\": {\n \"minMessages\": 50,\n \"resurveyDays\": 182\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "csat_settings",
"scale": "faces_5",
"channels": [
"chat"
],
"exclude": {
"spam": true,
"minMessages": 123,
"resurveyDays": 123
},
"question": "<string>",
"askAfter": [
"closed"
],
"idleMinutes": 123,
"emailDelayMinutes": 123,
"followUpPrompt": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Body
application/json
Maximum array length:
2Available options:
chat, email Maximum array length:
3Available options:
closed, resolution_check, idle_minutes Required range:
1 <= x <= 1440Required range:
0 <= x <= 10080Available options:
faces_5, thumbs Required string length:
1 - 500Required string length:
1 - 500Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes